> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Create a team membership

POST https://api.contentful.com/organizations/{organization_id}/teams/{team_id}/team_memberships
Content-Type: application/json

Creates a new team membership. Only organization admins and owners can manage team memberships.

Reference: https://contentful.com/developers/docs/references/user-management-api/team-memberships/create-a-team-membership

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — The organization ID
- `team_id` (string, required) — The team ID

### Body (application/json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 201

Created - Team membership created successfully

- `map from string to any`

## Examples

**Request**

```json
{
  "organizationMembershipId": "2J75WDB0QSfoBCn2IYTXzm"
}
```

**Response**

```json
{
  "sys": {
    "createdAt": "2025-08-29T05:29:02.000Z",
    "id": "5sjDwHAf1FRG65kPCwgzxc",
    "organization": {
      "sys": {
        "id": "4EJGvuLTBUMG2A6wS8gfAS",
        "linkType": "Organization",
        "type": "Link"
      }
    },
    "organizationMembership": {
      "sys": {
        "id": "2J75WDB0QSfoBCn2IYTXzm",
        "linkType": "OrganizationMembership",
        "type": "Link"
      }
    },
    "team": {
      "sys": {
        "id": "OpTgoCqMTwTBUMG2A6w7Jg",
        "linkType": "Organization",
        "type": "Link"
      }
    },
    "type": "TeamMembership",
    "updatedAt": "2025-08-29T05:29:02.000Z",
    "user": {
      "sys": {
        "id": "3sTeMpHKBy4Yycw6xmki6W",
        "linkType": "User",
        "type": "Link"
      }
    }
  }
}
```